본 한국어 번역은 사용자 편의를 위해 제공되는 기계 번역입니다. 영어 버전과 한국어 버전이 서로 어긋나는 경우에는 언제나 영어 버전이 우선합니다.

플러그인 패키지를 업그레이드합니다

기여자

플러그인 패키지는 SnapCenter 업그레이드의 일부로 배포됩니다.

업그레이드 절차에서는 Windows, Linux 또는 AIX 호스트를 "유지 관리" 모드로 전환하여 호스트가 예약된 작업을 실행하지 못하도록 합니다.

  • 필요한 것 *

  • Linux 시스템에 액세스할 수 있는 루트가 아닌 사용자인 경우 업그레이드 작업을 수행하기 전에 _/etc/sudoers_file을 최신 체크섬 값으로 업데이트해야 합니다.

  • 기본적으로 SnapCenter는 환경에서 java_home을 감지합니다. 고정 java_home을 사용하고 Linux 호스트에서 플러그인을 업그레이드하는 경우 /var/opt/snapcenter/spl/etc/_에 있는 _spl.properties 파일에 skip_jAVAHOME_update 매개 변수를 수동으로 추가하고 값을 true 로 설정해야 합니다.

    플러그인이 업그레이드되거나 SnapCenter 플러그인 로더(SPL) 서비스가 다시 시작되면 java_home의 값이 업데이트됩니다. SPL을 업그레이드하거나 다시 시작하기 전에 skip_jAVAHOME_update 매개 변수를 추가하고 값을 true 로 설정하면 java_home 값이 업데이트되지 않습니다.

  • SnapCenter 서버 호스트 또는 플러그인 호스트에서 수정한 모든 SnapCenter 구성 파일을 백업해야 합니다.

    SnapCenter 구성 파일의 예: SnapDriveService.exe.config, SMCoreServiceHost.exe.config 등

  • 단계 *

    1. 왼쪽 탐색 창에서 * 호스트 * > * 관리 호스트 * 를 클릭합니다.

    2. 다음 작업 중 하나를 수행하여 호스트를 업그레이드합니다.

      • 호스트 중 하나에 대해 전체 상태 열에 ""업그레이드 가능""이 표시되면 호스트 이름을 클릭하고 다음을 수행합니다.

        1. 추가 옵션 * 을 클릭합니다.

        2. 호스트가 플러그인을 업그레이드하는 데 필요한 요구사항을 충족하는지 확인하지 않으려면 * 사전 검사 건너뛰기 * 를 선택합니다.

        3. 업그레이드 * 를 클릭합니다.

      • 여러 호스트를 업그레이드하려면 모든 호스트를 선택하고 을 클릭합니다 를 클릭한 다음 * 업그레이드 * > * 확인 * 을 클릭합니다.

        참고 패키지의 모든 플러그인이 선택되지만 이전 버전의 SnapCenter와 함께 설치된 플러그인만 업그레이드되고 나머지 플러그인은 설치되지 않습니다. 새 플러그인을 설치하려면 * 플러그인 추가 * 옵션을 사용해야 합니다.

사전 검사 건너뛰기 * 확인란을 선택하지 않은 경우 호스트가 플러그인을 설치하는 데 필요한 요구 사항을 충족하는지 여부를 확인합니다. 최소 요구 사항이 충족되지 않으면 적절한 오류 또는 경고 메시지가 표시됩니다. 문제를 해결한 후 * 업그레이드 * 를 클릭합니다.

참고 오류가 디스크 공간 또는 RAM과 관련된 경우 C:\Program Files\NetApp\SnapCenter WebApp에 있는 web.config 또는 C:\Windows\System32\WindowsPowerShell\v1.0\Modules\SnapCenter\에 있는 PowerShell config 파일을 업데이트하여 기본값을 수정할 수 있습니다. 오류가 나머지 매개변수와 관련된 경우 문제를 해결한 다음 요구 사항을 다시 확인해야 합니다.